Hatch object |
An area fill consisting of a pattern of lines.
VBA class name: |
AcadHatch |
---|---|
Create using: |
ModelSpace.AddHatch |
Access via: |
ModelSpace.Item |
To create a hatch, first create the Hatch object using the AddHatch method. After the Hatch object has been created, add the outer loop using the AppendOuterLoop method. The outer loop must be closed and must be created before any inner loops can be added. After a valid outer loop has been created, add any inner loops, one at a time, using AppendInnerLoop method.
WARNING! Once the Hatch object has been created, you must add the outer loop to the Hatch object for it to become a valid AutoCAD object. If you attempt any operation other than calling the AppendOuterLoop method, AutoCAD will enter an unpredictable state.
To edit a Hatch object, use the following methods and properties:
Methods |
Properties |
Events |
Comments? |